Debian Bug report logs - #612876
chromium-browser: Forcibly takes over http and https handling, ignoring settings for default browser

version graph

Package: libglib2.0-0; Maintainer for libglib2.0-0 is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libglib2.0-0 is src:glib2.0.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Fri, 11 Feb 2011 09:09:02 UTC

Severity: normal

Merged with 612720, 612985, 613381, 613860, 617723

Found in version glib2.0/2.28.0-1

Fixed in version glib2.0/2.28.0-2

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#612876; Package chromium-browser. (Fri, 11 Feb 2011 09:09:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: chromium-browser: Forcibly takes over http and https handling, ignoring settings for default browser
Date: Fri, 11 Feb 2011 01:04:39 -0800
Package: chromium-browser
Version: 9.0.597.84~r72991-1
Severity: important

(Seriously considered reporting this as "critical", since it breaks
the configured setup with GNOME and iceweasel, but this may represent an
ongoing transition.)

Upgrading chromium-browser caused it to forcibly take over handling of
http and https, in spite of the many different places I've set iceweasel
as the default browser (via $BROWSER and via GNOME's "Preferred
Applications").  This change seems like the likely culprit:

  * Add x-scheme-handler/http and x-scheme-handler/https to the MimeType
    entry of the desktop file

Short of reading the chromium-browser changelog, I don't see any obvious
way for a user to track down the reason for this behavior; it just makes
it look like GNOME started ignoring the settings for the default
browser.  (And since I upgraded iceweasel around the same time, I
also looked there to see if it had changed something relevant that
caused it to no longer provide a browser for GNOME.)

In any case, this mechanism seems to take priority over the several
existing ways of specifying a default browser, without respecting the
existing preferences, and without any way to set the *new* preference.
And in any case, even if a new mechanism did exist to set the new
preference, that would still have the effect of overriding the user's
existing setting and forcing them to set it over again.

- Josh Triplett

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages chromium-browser depends on:
ii  chromium-browser-ins 9.0.597.84~r72991-1 page inspector for the chromium-br
ii  libasound2           1.0.23-2.1          shared library for ALSA applicatio
ii  libbz2-1.0           1.0.5-6             high-quality block-sorting file co
ii  libc6                2.11.2-11           Embedded GNU C Library: Shared lib
ii  libcairo2            1.10.2-2            The Cairo 2D vector graphics libra
ii  libcups2             1.4.5-3             Common UNIX Printing System(tm) - 
ii  libdbus-1-3          1.4.1-2             simple interprocess messaging syst
ii  libdbus-glib-1-2     0.88-2.1            simple interprocess messaging syst
ii  libevent-1.4-2       1.4.13-stable-1     An asynchronous event notification
ii  libexpat1            2.0.1-7             XML parsing C library - runtime li
ii  libfontconfig1       2.8.0-2.1           generic font configuration library
ii  libfreetype6         2.4.2-2.1           FreeType 2 font engine, shared lib
ii  libgcc1              1:4.4.5-10          GCC support library
ii  libgconf2-4          2.28.1-6            GNOME configuration database syste
ii  libgcrypt11          1.4.5-2             LGPL Crypto library - runtime libr
ii  libglib2.0-0         2.28.0-1            The GLib library of C routines
ii  libgtk2.0-0          2.20.1-2            The GTK+ graphical user interface 
ii  libicu44             4.4.2-2             International Components for Unico
ii  libjpeg62            6b1-1               The Independent JPEG Group's JPEG 
ii  libnspr4-0d          4.8.6-1             NetScape Portable Runtime Library
ii  libnss3-1d           3.12.9~beta2-1      Network Security Service libraries
ii  libpango1.0-0        1.28.3-1+squeeze1   Layout and rendering of internatio
ii  libpng12-0           1.2.44-1            PNG library - runtime
ii  libspeex1            1.2~rc1-1           The Speex codec runtime library
ii  libstdc++6           4.4.5-10            The GNU Standard C++ Library v3
ii  libv8-2.5.9.9        2.5.9.9-2           V8 JavaScript Engine
ii  libvpx0              0.9.5-2             VP8 video codec (shared library)
ii  libx11-6             2:1.4.1-4           X11 client-side library
ii  libxdamage1          1:1.1.3-1           X11 damaged region extension libra
ii  libxext6             2:1.2.0-2           X11 miscellaneous extension librar
ii  libxml2              2.7.8.dfsg-2        GNOME XML library
ii  libxrender1          1:0.9.6-1           X Rendering Extension client libra
ii  libxslt1.1           1.1.26-6            XSLT 1.0 processing library - runt
ii  libxss1              1:1.2.1-1           X11 Screen Saver extension library
ii  libxtst6             2:1.2.0-1           X11 Testing -- Record extension li
ii  xdg-utils            1.1.0~rc1-1         desktop integration utilities from
ii  zlib1g               1:1.2.3.4.dfsg-3    compression library - runtime

chromium-browser recommends no packages.

Versions of packages chromium-browser suggests:
pn  chromium-browser-l10n         <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#612876; Package chromium-browser. (Sat, 12 Feb 2011 16:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 12 Feb 2011 16:09:11 GMT) Full text and rfc822 format available.

Message #8 received at 612876@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Josh Triplett <josh@joshtriplett.org>
Cc: debian-devel@lists.debian.org, 612876@bugs.debian.org, gvfs-bin@packages.debian.org
Subject: Re: chromium-browser is taking over all URLs
Date: Sun, 13 Feb 2011 01:07:59 +0900
On Fr, 11 Feb 2011, Josh Triplett wrote:
> See http://bugs.debian.org/612876 for the bug report.  I encountered the
> same issue, and finally found the culprit through reading the
> chromium-browser changelog.

Umpf, I have removed the x-scheme-handler/http and x-scheme-handler/https
ffrom the chromium-browser.desktop and called update-desktop-database,
now midori starts.

Then I edited midori.desktop, now epiphany-browser starts,
where does that end???

I checked xdg-open, and it calls gvfs-open, which in turn (checking the
sources) calls
	g_app_info_launch_uris
from gio/gappinfo.h which belongs to libglib2.0-dev. There I tried
to read the code but gave up.

I suggest to raise the severity to serious, and reassign to libglib2.0*whatever*.

WDYT?

Best wishes

Norbert
------------------------------------------------------------------------
Norbert Preining            preining@{jaist.ac.jp, logic.at, debian.org}
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------
ACLE (n.)
The rouge pin which shirtmakers conceal in the most improbable fold of
a new shirt. Its function is to stab you when you don the garment.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#612876; Package chromium-browser. (Wed, 16 Feb 2011 11:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason Woofenden <jason@jasonwoof.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 16 Feb 2011 11:27:02 GMT) Full text and rfc822 format available.

Message #13 received at 612876@bugs.debian.org (full text, mbox):

From: Jason Woofenden <jason@jasonwoof.com>
To: 612876@bugs.debian.org
Subject: #612876: workarounds, merge suggestion
Date: Wed, 16 Feb 2011 06:24:15 -0500
Chromium is doing what it should (saying that it can handle the
http protocol.) The issue is a change in glib (in how it finds
url/mime handlers) which is not yet matched with an update to the
gnome settings panel for preferred applications.

The new system is kinda cool (follows an XDG specification instead
of using gconf.) Hopefully this will result in a common way of
selecting url/mime handlers that all desktop environments use.

So, until they get the gui preferences thing updated, here's how to
set handlers with the new glib:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=612985#31
http://lists.debian.org/debian-devel/2011/02/msg00479.html


This bug should probably be reassigned and set as a duplicate of
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613381
but I'll let someone more experienced make that call.

Take care,   - Jason




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#612876; Package chromium-browser. (Fri, 18 Feb 2011 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 18 Feb 2011 16:57:06 GMT) Full text and rfc822 format available.

Message #18 received at 612876@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Jason Woofenden <jason@jasonwoof.com>, 612876@bugs.debian.org
Cc: Debian Bug Control <control@bugs.debian.org>
Subject: Re: [Pkg-chromium-maint] Bug#612876: #612876: workarounds, merge suggestion
Date: Fri, 18 Feb 2011 17:55:23 +0100
[Message part 1 (text/plain, inline)]
reassign 612876 libglib2.0-0
forcemerge 613381 612876
thanks

On 02/16/2011 12:24 PM, Jason Woofenden wrote:
> Chromium is doing what it should (saying that it can handle the
> http protocol.) The issue is a change in glib (in how it finds
> url/mime handlers) which is not yet matched with an update to the
> gnome settings panel for preferred applications.
> 

Yes, you are right. reassigning it.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'chromium-browser' to 'libglib2.0-0'. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Fri, 18 Feb 2011 16:57:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions chromium-browser/9.0.597.84~r72991-1. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Fri, 18 Feb 2011 16:57:08 GMT) Full text and rfc822 format available.

Forcibly Merged 612876 612985 613381. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Fri, 18 Feb 2011 16:57:09 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 18 Feb 2011 21:51:56 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Fri, 18 Feb 2011 21:51:56 GMT) Full text and rfc822 format available.

Message #29 received at 612876-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 612876-close@bugs.debian.org
Subject: Bug#612876: fixed in glib2.0 2.28.0-2
Date: Fri, 18 Feb 2011 21:49:42 +0000
Source: glib2.0
Source-Version: 2.28.0-2

We believe that the bug you reported is fixed in the latest version of
glib2.0, which is due to be installed in the Debian FTP archive:

glib2.0_2.28.0-2.debian.tar.gz
  to main/g/glib2.0/glib2.0_2.28.0-2.debian.tar.gz
glib2.0_2.28.0-2.dsc
  to main/g/glib2.0/glib2.0_2.28.0-2.dsc
libglib2.0-0-dbg_2.28.0-2_amd64.deb
  to main/g/glib2.0/libglib2.0-0-dbg_2.28.0-2_amd64.deb
libglib2.0-0-refdbg_2.28.0-2_amd64.deb
  to main/g/glib2.0/libglib2.0-0-refdbg_2.28.0-2_amd64.deb
libglib2.0-0_2.28.0-2_amd64.deb
  to main/g/glib2.0/libglib2.0-0_2.28.0-2_amd64.deb
libglib2.0-bin_2.28.0-2_amd64.deb
  to main/g/glib2.0/libglib2.0-bin_2.28.0-2_amd64.deb
libglib2.0-data_2.28.0-2_all.deb
  to main/g/glib2.0/libglib2.0-data_2.28.0-2_all.deb
libglib2.0-dev_2.28.0-2_amd64.deb
  to main/g/glib2.0/libglib2.0-dev_2.28.0-2_amd64.deb
libglib2.0-doc_2.28.0-2_all.deb
  to main/g/glib2.0/libglib2.0-doc_2.28.0-2_all.deb
libglib2.0-udeb_2.28.0-2_amd64.udeb
  to main/g/glib2.0/libglib2.0-udeb_2.28.0-2_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated glib2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Feb 2011 19:36:42 +0100
Source: glib2.0
Binary: libglib2.0-0 libglib2.0-udeb libglib2.0-bin libglib2.0-dev libglib2.0-0-dbg libglib2.0-data libglib2.0-doc libgio-fam libglib2.0-0-refdbg
Architecture: source all amd64
Version: 2.28.0-2
Distribution: unstable
Urgency: low
Maintainer: Loic Minier <lool@dooz.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libgio-fam - GLib Input, Output and Streaming Library (fam module)
 libglib2.0-0 - The GLib library of C routines
 libglib2.0-0-dbg - The GLib libraries and debugging symbols
 libglib2.0-0-refdbg - The GLib library of C routines - refdbg library
 libglib2.0-bin - The programs for the GLib library
 libglib2.0-data - Common files for GLib library
 libglib2.0-dev - Development files for the GLib library
 libglib2.0-doc - Documentation files for the GLib library
 libglib2.0-udeb - The GLib library of C routines - minimal runtime (udeb)
Closes: 612876
Changes: 
 glib2.0 (2.28.0-2) unstable; urgency=low
 .
   * 20_mime_extension_point.patch: temporary revert the upstream change
     in URI schemes handling. Closes: #612876.
     Note for later: it must absolutely be reverted in a synchronized
     upload with gvfs 1.8 and control-center 3.0.
Checksums-Sha1: 
 b5ffa9ad898482e236518419195eb860bfd0f349 1836 glib2.0_2.28.0-2.dsc
 90277d0409d1a66801a389efc32821b9d24a5cee 46635 glib2.0_2.28.0-2.debian.tar.gz
 771a67513b99dea39a2855492767c5fd3d02ba78 1857326 libglib2.0-data_2.28.0-2_all.deb
 a7ed3897f310321c9a2a6f6128c3dff128204ade 2205648 libglib2.0-doc_2.28.0-2_all.deb
 508f4cc9c652ca2b1fadcb10d67b5e0a2caa08dc 1604776 libglib2.0-0_2.28.0-2_amd64.deb
 dbc3e57fe06c4ad3e7dfb521901836586635aee6 2397888 libglib2.0-udeb_2.28.0-2_amd64.udeb
 eb8882d0dc84bd4cc94c41b24d3a9e3a40dff3c5 470272 libglib2.0-bin_2.28.0-2_amd64.deb
 3bc8a16ed187a400f91be90b2bfccc44b31c3b9c 2056576 libglib2.0-dev_2.28.0-2_amd64.deb
 0339bb91c17f3a159e6a3446eb5d3757cf1aea4a 2377804 libglib2.0-0-dbg_2.28.0-2_amd64.deb
 db34fc4edd809b52ba4a6947b6dc2a5c2ecd5bb8 812848 libglib2.0-0-refdbg_2.28.0-2_amd64.deb
Checksums-Sha256: 
 4df113c7198b73bd6855a94a2be5f3cc46b108b591ee41da46431b82925047c1 1836 glib2.0_2.28.0-2.dsc
 4d40125f3a94763cc52a7e73a1a652290edd581c5c370cf364c8261661f08425 46635 glib2.0_2.28.0-2.debian.tar.gz
 fc7ee1ff2f3e0c12a703d3404ae5653cab7827cdd62df02c1233fb356672f5d1 1857326 libglib2.0-data_2.28.0-2_all.deb
 a36ab1fec58fbf1a920658d1a86aef172ad9da2c6a151255394db0f78c259f9d 2205648 libglib2.0-doc_2.28.0-2_all.deb
 f05e00692b9ad047cb6d74cc9449afd78985ad011a2d8ffa02bd93acd882170d 1604776 libglib2.0-0_2.28.0-2_amd64.deb
 de364394c9060e07ee581e70c4d1e9afa3d1b66621194629e979ff702d0c8025 2397888 libglib2.0-udeb_2.28.0-2_amd64.udeb
 6df4c141d87c29185e3e1871b7b8c7cf3caf43884525556e3c02f1733ceed0c2 470272 libglib2.0-bin_2.28.0-2_amd64.deb
 56b9c3d637386dc86cc5d5c58f74998533439d2127d0b67d7cc6d1e62119c3fd 2056576 libglib2.0-dev_2.28.0-2_amd64.deb
 eb90e4d62c2f6b03c64778ae0040778e993362a14f5f3f1e0e44c08c47097983 2377804 libglib2.0-0-dbg_2.28.0-2_amd64.deb
 4fe224f126b2d685d86dba53845e3decba58d35270ec2f8082c2f4d56a0b36bd 812848 libglib2.0-0-refdbg_2.28.0-2_amd64.deb
Files: 
 e6014f721e1333c8eddb28950650213f 1836 libs optional glib2.0_2.28.0-2.dsc
 95ac5ff85b9fd6f21503b8cca6b5d416 46635 libs optional glib2.0_2.28.0-2.debian.tar.gz
 400620ed14bcc7cf96d3f532ffa1e572 1857326 libs optional libglib2.0-data_2.28.0-2_all.deb
 991f04fce7dc4de077b18c10f1c45aeb 2205648 doc optional libglib2.0-doc_2.28.0-2_all.deb
 f43ee3435b673815e985e638df81dc10 1604776 libs optional libglib2.0-0_2.28.0-2_amd64.deb
 d65dc820518c954cd552ee0dcdd6b6ef 2397888 debian-installer optional libglib2.0-udeb_2.28.0-2_amd64.udeb
 71df3380e0f9f136ffa7eaf6e7e3cb29 470272 misc optional libglib2.0-bin_2.28.0-2_amd64.deb
 0e8cc8d0f8d90023a1f19c2ac2adcd33 2056576 libdevel optional libglib2.0-dev_2.28.0-2_amd64.deb
 d05eae1161bc2f1b6d4d906207430825 2377804 debug extra libglib2.0-0-dbg_2.28.0-2_amd64.deb
 eaa489be436b07f00274fa2fbd0f8037 812848 debug extra libglib2.0-0-refdbg_2.28.0-2_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1e4SgACgkQrSla4ddfhTNNmwCeMbPItIXwa5tMUUhJjIx9b/OY
HfEAoNvUx0u3w2KBBCU5PEJkYgC2/9e2
=CKDG
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 18 Feb 2011 21:51:57 GMT) Full text and rfc822 format available.

Notification sent to Jason Woofenden <jason@jasonwoof.com>:
Bug acknowledged by developer. (Fri, 18 Feb 2011 21:51:57 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 18 Feb 2011 21:51:58 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 18 Feb 2011 21:51:58 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:20:29 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381 613860. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 20:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 612720 612876 612985 613381 613860 617723. Request was from "Giuseppe Iuculano" <giuseppe@sd6-mobile.iuculano.it> to control@bugs.debian.org. (Fri, 11 Mar 2011 14:27:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Apr 2011 07:45:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:10:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.